<ion-header >
  <ion-navbar class="dawn-bar">
    <button ion-button menuToggle>
      <ion-icon name="menu"></ion-icon>
    </button>
    <ion-title>Subscription Plan</ion-title>
  </ion-navbar> 
</ion-header>


<ion-content>
<ion-grid class="background-color">
    <ion-row>
      <ion-item>
          <ion-label>Company </ion-label>
            <ion-select placeholder="Select Company " [(ngModel)]="selectedcompnay_id"   name="selectedcompnay_id">
                <div *ngFor="let field of company">
                    <ion-option value="{{field.id}}">{{field.companyname}}
                    </ion-option>
                  </div>
            </ion-select>
      </ion-item> 
    </ion-row>
</ion-grid>

<ion-grid class="background-color-box">
  <div *ngFor="let item of subscriptions">
  <ion-row  *ngIf="item.companyid == selectedcompnay_id"    >
     
        <ion-col col-12 class="heding-text">
            <h3>{{item.companyname}}</h3>
            <p *ngIf="expired && expirydate!=''">Expiry Date: {{item.expirydate}}</p>
        </ion-col>
        <ion-col col-12 class="sub-text">
          <!--<p>{{item.companydescription}}</p>-->

          <p *ngIf="item.companydescriptionwitouthtmlentities.length <= limit">{{item.companydescriptionwitouthtmlentities}}</p>
          <p *ngIf="truncating && item.companydescriptionwitouthtmlentities.length > limit">
            {{item.companydescriptionwitouthtmlentities.substring(0, 100) }}
            <a  (click)="truncating = false">read more</a>
          </p>
          <p *ngIf="!truncating && item.companydescriptionwitouthtmlentities.length > limit">
            {{item.companydescriptionwitouthtmlentities}}
            <a  (click)="truncating = true">read less</a>
          </p>

      </ion-col>
      <ion-col col-12 class="bottom-text">
        <div class="men">
            <div class="plan-name one">
                <p>Plan Name:</p>
                <h3>{{item.planname}}</h3>
            </div>
            <div class="plan-name two">
              <p>Services:</p>
              <h3> <span *ngFor="let service of item.services">{{service.servicename}}, </span></h3>
          </div>
          <div class="plan-name three">
            <p></p>
            <h3></h3>
          </div>
          <div class="plan-name four">
            <p>Purchased Credits:</p>
            <h3>1</h3>
          </div>
          <div class="plan-name five">
            <p>Used Credits:</p>
            <h3>2</h3>
          </div>
          <div class="plan-name six">
            <p>Remaining Credits:</p>
            <h3>5</h3>
          </div>
        </div>
    </ion-col>

    <ion-col col-12 class="button-box">
        <button class="book-now-button" (click)="book(item)">Book Now</button>
        <!--<button class="add-credits-button" (click)="cancel(item)">Cancel</button>
        <button class="add-credits-button">Add credits</button>-->
    </ion-col>

  </ion-row>
  </div>

</ion-grid>

</ion-content>
